MHSM Private Endpoint Connections - Get
Gets the specified private endpoint connection associated with the managed HSM Pool.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.KeyVault/managedHSMs/{name}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2021-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
name
|
path | True |
|
Name of the managed HSM Pool |
|
private
|
path | True |
|
Name of the private endpoint connection associated with the managed hsm pool. |
|
resource
|
path | True |
|
Name of the resource group that contains the managed HSM pool. |
|
subscription
|
path | True |
|
Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
|
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Private endpoint connection successfully returned. |
|
| Other Status Codes |
The error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
ManagedHsmGetPrivateEndpointConnection
Sample Request
Sample Response
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-group/providers/Microsoft.KeyVault/managedhsms/sample-mhsm/privateEndpointConnections/sample-pec",
"name": "sample-pec",
"type": "Microsoft.KeyVault/managedhsms/privateEndpointConnections",
"etag": "",
"properties": {
"provisioningState": "Succeeded",
"privateEndpoint": {
"id": "/subscriptions/00000000-0000-0000-1234-000000000000/resourceGroups/sample-group/providers/Microsoft.Network/privateEndpoints/sample-pe"
},
"privateLinkServiceConnectionState": {
"status": "Approved",
"description": "This was automatically approved by user1234@contoso.com",
"actionsRequired": "None"
}
}
}
Definitions
|
Actions |
A message indicating if changes on the service provider require any updates on the consumer. |
| Error |
The server error. |
|
identity |
The type of identity that created the key vault resource. |
|
Managed |
The error exception. |
|
Managed |
SKU details |
|
Managed |
SKU Family of the managed HSM Pool |
|
Managed |
SKU of the managed HSM Pool |
|
MHSMPrivate |
Private endpoint object properties. |
|
MHSMPrivate |
Private endpoint connection resource. |
|
MHSMPrivate |
An object that represents the approval state of the private link connection. |
|
Private |
Provisioning state of the private endpoint connection. |
|
Private |
Indicates whether the connection has been approved, rejected or removed by the key vault owner. |
|
System |
Metadata pertaining to creation and last modification of the key vault resource. |
ActionsRequired
A message indicating if changes on the service provider require any updates on the consumer.
| Name | Type | Description |
|---|---|---|
| None |
|
Error
The server error.
| Name | Type | Description |
|---|---|---|
| code |
|
The error code. |
| innererror |
The inner error, contains a more specific error code. |
|
| message |
|
The error message. |
identityType
The type of identity that created the key vault resource.
| Name | Type | Description |
|---|---|---|
| Application |
|
|
| Key |
|
|
| ManagedIdentity |
|
|
| User |
|
ManagedHsmError
The error exception.
| Name | Type | Description |
|---|---|---|
| error |
The server error. |
ManagedHsmSku
SKU details
| Name | Type | Description |
|---|---|---|
| family |
SKU Family of the managed HSM Pool |
|
| name |
SKU of the managed HSM Pool |
ManagedHsmSkuFamily
SKU Family of the managed HSM Pool
| Name | Type | Description |
|---|---|---|
| B |
|
ManagedHsmSkuName
SKU of the managed HSM Pool
| Name | Type | Description |
|---|---|---|
| Custom_B32 |
|
|
| Standard_B1 |
|
MHSMPrivateEndpoint
Private endpoint object properties.
| Name | Type | Description |
|---|---|---|
| id |
|
Full identifier of the private endpoint resource. |
MHSMPrivateEndpointConnection
Private endpoint connection resource.
| Name | Type | Description |
|---|---|---|
| etag |
|
Modified whenever there is a change in the state of private endpoint connection. |
| id |
|
The Azure Resource Manager resource ID for the managed HSM Pool. |
| location |
|
The supported Azure location where the managed HSM Pool should be created. |
| name |
|
The name of the managed HSM Pool. |
| properties.privateEndpoint |
Properties of the private endpoint object. |
|
| properties.privateLinkServiceConnectionState |
Approval state of the private link connection. |
|
| properties.provisioningState |
Provisioning state of the private endpoint connection. |
|
| sku |
SKU details |
|
| systemData |
Metadata pertaining to creation and last modification of the key vault resource. |
|
| tags |
|
Resource tags |
| type |
|
The resource type of the managed HSM Pool. |
MHSMPrivateLinkServiceConnectionState
An object that represents the approval state of the private link connection.
| Name | Type | Description |
|---|---|---|
| actionsRequired |
A message indicating if changes on the service provider require any updates on the consumer. |
|
| description |
|
The reason for approval or rejection. |
| status |
Indicates whether the connection has been approved, rejected or removed by the key vault owner. |
PrivateEndpointConnectionProvisioningState
Provisioning state of the private endpoint connection.
| Name | Type | Description |
|---|---|---|
| Creating |
|
|
| Deleting |
|
|
| Disconnected |
|
|
| Failed |
|
|
| Succeeded |
|
|
| Updating |
|
PrivateEndpointServiceConnectionStatus
Indicates whether the connection has been approved, rejected or removed by the key vault owner.
| Name | Type | Description |
|---|---|---|
| Approved |
|
|
| Disconnected |
|
|
| Pending |
|
|
| Rejected |
|
SystemData
Metadata pertaining to creation and last modification of the key vault resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
|
The timestamp of the key vault resource creation (UTC). |
| createdBy |
|
The identity that created the key vault resource. |
| createdByType |
The type of identity that created the key vault resource. |
|
| lastModifiedAt |
|
The timestamp of the key vault resource last modification (UTC). |
| lastModifiedBy |
|
The identity that last modified the key vault resource. |
| lastModifiedByType |
The type of identity that last modified the key vault resource. |